/*
 Theme Name: Astra Child
 Theme URI: https://rashidulislam.me
 Description: Child theme for the Astra theme
 Author: Rashidul Islam
 Author URI: https://rashidulislam.me
 Template: astra
 Version: 1.0.0
 Text Domain: astra-child
*/

/* Sticky Header Styles */
.site-header {
    transition: all 0.3s ease-in-out;
    width: 100%;
    z-index: 999;
}

.ast-sticky-active .site-header {
    position: fixed;
    top: 0;
    left: 0;
    background-color: #fff; 
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
    animation: slideDown 0.35s ease-out;
}

@keyframes slideDown {
    from {
        transform: translateY(-100%);
    }

    to {
        transform: translateY(0);
    }
}
 
body.ast-sticky-active {
    padding-top: 80px;
   
}

header .custom-logo-link img{
	filter: none !important; 
}
.ast-stock-detail{
	margin-bottom: 10px;
}
.woocommerce-js ul.products li.product a img, .woocommerce-page ul.products li.product a img {
    margin-bottom: 0; 
}
.woocommerce-js div.product div.images img {
    display: block;
    width: 100%;
    height: auto;
    box-shadow: none;
    max-height: 500px;
    object-fit: contain;
    background: #fff;
}
.shopengine_comparison_add_to_list_action {
	display: none !important; 
}
.shopengine-wishlist {
	height: 40px; 
	width: 40px; 
	display: flex; 
    margin: 5px !important;
	justify-content: center; 
	align-items: center; 
	order: 5; 
}
.single_add_to_cart_button  {
	 height: 44px !important; 
}  div.product form.cart .button.single_add_to_cart_button {
    padding: 10px 20px;
    margin: 5px !important;
}
.quantity .input-text.qty { 
    margin-top: 5px !important;
    background: #fff;
	min-height: 40px !important; 
    color: #000 !important;
    text-align: center;

}
.shopengine-quickview-trigger, 
.shopengine_add_to_list_action{
	display: none !important; 
}
.woocommerce-js div.product div.images .woocommerce-product-gallery__wrapper .zoomImg,
.woocommerce-js div.product div.images img,
.woocommerce-js div.product div.images img,
.site-content{
	background: #000 !important; 
}
.woocommerce-js div.product div.images img{
	
	background-color: #000 !important; 
}
.attachment-woocommerce_thumbnail, 
.astra-shop-thumbnail-wrap { 
    aspect-ratio: 3 / 3.5;
    object-fit: contain;
    background: #fff;
}

.astra-shop-thumbnail-wrap {
	margin-bottom: 20px; 
}
.woocommerce-js ul.products li.product a img, .woocommerce-page ul.products li.product a img {
    margin-bottom: 0;
    background: #000;
}
.related.products{
	max-width: 1210px; 
	margin-left: auto; 
	margin-right: auto; 
	padding-left: 10px; 
	padding-right: 10px; 
}
.woocommerce-js ul.products li.product .price, .woocommerce-page ul.products li.product .price{
	font-size: 16px; 
}
.woocommerce-js ul.products li.product .woocommerce-loop-product__title, .woocommerce-page ul.products li.product .woocommerce-loop-product__title { 
    font-size: 1.4em;
}
 .site-footer h5 {
    padding: 10px 0px;
}
 .site-footer
.widget_nav_menu li {
    transition: all .2s linear;
    margin-bottom: 15px;
}

.shop-product-card img {
	aspect-ratio: 1.2; 
	object-fit: cover; 
}

.wc-block-cart__sidebar {
    padding: 20px;
    border: 1px solid #1f2021;
    border-radius: 4px;
    background: rgba(255,255,255,0.1);
}
.elementor-add-to-cart  form.cart {
    display: flex !important; 
    flex-direction: column;
}

.elementor-add-to-cart  form.cart button.single_add_to_cart_button{   
    text-transform: uppercase;
    font-weight: 500;
    min-height: 66px;
    border: 2px solid #ba3d02;
    background: linear-gradient(to top, #8c2000,#9d2b06);
}
.elementor-add-to-cart  form.cart button.single_add_to_cart_button:hover{
	
    background: linear-gradient(to top, #9d2b06,#8c2000);
}
#make_this_gift{
	cursor: pointer ; 
}
.gtw-product-gift-wrapper-total-payable-content {
    width: 100%;
    margin: 10px 0;
    align-items: center;
    gap: 10px;
    float: none;
    display: flex;
    margin-top: 0;
    text-transform: uppercase;
}
#make_this_gift.active{
	border-color: #fff; 
}
.gtw-product-gift-wrapper-enable-field{
	display: none; 
}